All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::host_based::amg::amg_id_influence Struct Reference

Helper struct for sequential classical one-pass coarsening. More...

`#include <amg_operations.hpp>`

## Public Member Functions

| amg_id_influence (std::size_t id2, std::size_t influences2)

## Public Attributes

unsigned int | id
unsigned int | influences

## Detailed Description

Helper struct for sequential classical one-pass coarsening.

Definition at line 260 of file amg_operations.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::host_based::amg::amg_id_influence::amg_id_influence | ( | std::size_t | id2,
|  | std::size_t | influences2
| ) |  |

inline

Definition at line 262 of file amg_operations.hpp.

## Member Data Documentation

unsigned int viennacl::linalg::host_based::amg::amg_id_influence::id

Definition at line 264 of file amg_operations.hpp.

unsigned int viennacl::linalg::host_based::amg::amg_id_influence::influences

Definition at line 265 of file amg_operations.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/host_based/amg_operations.hpp